
# Tenon IO Integration 1.x for Drupal 7.x
----------------------------
 -- SUMMARY --

The Tenon IO Integration module acts as a client for a Tenon IO webservice.

For a full description of the module, visit the project page:
http://drupal.org/project/tenon_io

To submit bug reports and feature suggestions, or to track changes:
http://drupal.org/project/issues/tenon_io

## Requirements

An account on Tenon.io (http://tenon.io) to get an API key.

## Installation

Can be installed like any other Drupal module -- place it in
the modules directory for your site and enable it on the `admin/build/modules`
page.

## Usage

Configure user permissions in Administration -> People -> Permissions:

 `Administer Tenon IO`

 Access the administration page for Tenon IO, run tests and view the reports

 In admin/config/content/tenon_io you specify the url for the Tenon IO
 server, the API key to use, and which test standard (WCAG2A, WCAG2AA, WCAG2AAA)

`Start Tenon IO tests`
 Submits the tasks, which will submit all published
 content to the web service

`Delete all Tenon IO tests` button deletes all the tasks from the webservice

 `Tenon IO run cron limit`
 A cron run can be scheduled to run any failed requests again, which will
 eventually results in all the pages getting tested.

 To change the number of tasks run per cron, change the Tenon IO run cron limit.
 This is limited by the capacity of the Tenon IO webservice, and the limit on
 the account signed up to.

 `Reporting`
 In admin/reports/tenon_io you will find an overview of the results of the
 tests run.


## Future developments
------------

1. Per node testing
2. Per node advanced
3. Historic testing diff
4. Ajax load of test results in report
5. Drush task
6. Fragment testing

## CONTACT

Current maintainers:
    * Michel Vloon (michel_v) - https://drupal.org/user/412695

This project has been sponsored by:
    * Nomensa Ltd
    Humanising Technology. Visit http://www.nomensa.com for more information.
