<?php
/**
 * @file
 * Request class for TenonIO web service.
 * See http://www.tenon.io/documentation/.
 *
 */

namespace lib\TenonIO\Request;


/**
 * TenonIO Client
 *
 * This is a Drupal client for the TenonIO web service.
 * See http://www.tenon.io/documentation/
 * with some additional methods thrown in for good measure.
 */
class TenonIORequest {

  public $key = "";
  public $url;
 /*
   * Sometimes accessibility tools will return results that the tool isn't
   * completely sure is a real issue. The certainty parameter allows you to
   * filter out these "uncertain" results by choosing a minimum acceptable
   * certainty score.
   */
  public $certainty = "80";
  public $docID;
  public $importance = 0;

  public $level = "AAA";
  /*
   * Each Best Practice in the system has a number of factors that allow us to determine their relative priority. In your result set, each issue reported will be given a calculated priority score which you can then use to filter or order your results.
   */
  public $priority = 0;

  /*
   * The ref parameter indicates whether or not you wish to be given a link
   * with each issue which includes reference information for the violated
   * Best Practice.
   */
  public $ref = 1;

 /*
  * The reportID parameter is a string of text you can supply to identify the
  * request as part of a specific report.
  * This allows the requests to be grouped together as though they were part
  * of the same test effort.
  */
  public $reportID = "DEFAULT_REPORT";
  public $systemID = "DEFAULT_SYSTEM";
  public $viewPortHeight = 768;
  public $viewPortWidth = 1024;
  public $fragment = 0;
  public $store = 0;

  public function __construct($options) {

    //overload any attributes that need to be set.
    foreach ($options as $attribute => $value) {
      $this->$attribute = $value;
    }

  }

}
